Subject: Re: [PATCH] commit encoding: store it in commit header rather than mucking with NUL

From: Jakub Narebski <[email-masked]>
Date: Mon, 25 Dec 2006 23:54:47 +0100

Junio C Hamano wrote:

> I was afraid that there might be something we did (or we did not
> do) that encouraged people to have their names (via environment
> variables, or perhaps user.name) always in UTF-8 while recording
> the log messages in the legacy encoding, and if that kind of use
> is already done in the wild, we would end up having to not
> reencode the header field but reencode the body.
> 
> But I do not think we ever encouraged encoding names in UTF-8 or
> anything else (we did encourage use of UTF-8 in the commit log),
> so I think we are Ok.
  
By the way, it would be nice to have .mailmap like mechanism to tell git
that those two (three or more) names are the same comitter and should be
shown (at least in git-shortlog) as this. This is because some people
changed their email, some people have sometimes middle initial and
sometimes not, some people have name outside US-ASCII and it is sometimes
broken...
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git